#### D.2.12.16 optionIsSet

Procedure from library `ring.lib` (see ring_lib).

Usage:
  optionIsSet( optionName )

Parameters:
  optionName: a name as string of an option of interest

Return:
  true, if the by optionName given option is active, false otherwise.

Example:

    LIB "ring.lib";
    // check if the option "warn" is set.
    optionIsSet("warn");
    ==> 0
    option("warn");
    // now the option is set
    optionIsSet("warn");
    ==> 1
    option("nowarn");
    // now the option is unset
    optionIsSet("warn");
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.